package datasql

import "github.com/jackc/pgx/v5/pgxpool"

type SqlRepository struct {
	pool *pgxpool.Pool
}

func NewSqlRepository(s *SqlInstance) *SqlRepository {
	return &SqlRepository{pool: s.connectionPool}
}
